Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_econv_elem_t Struct Reference

## Data Fields
struct rb_transcoding * | tc
unsigned char * | out_buf_start
unsigned char * | out_data_start
unsigned char * | out_data_end
unsigned char * | out_buf_end
rb_econv_result_t | last_result

## Detailed Description

Definition at line 102 of file transcode.c.

## Field Documentation

rb_econv_result_t rb_econv_elem_t::last_result

Definition at line 108 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_trans_conv(), and trans_sweep().

unsigned char* rb_econv_elem_t::out_buf_end

Definition at line 107 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_econv_insert_output(), rb_econv_memsize(), and trans_sweep().

unsigned char* rb_econv_elem_t::out_buf_start

Definition at line 104 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_econv_binmode(), rb_econv_close(), rb_econv_convert0(), rb_econv_insert_output(), rb_econv_memsize(), and trans_sweep().

unsigned char* rb_econv_elem_t::out_data_end

Definition at line 106 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_econv_convert0(), rb_econv_insert_output(), and trans_sweep().

unsigned char* rb_econv_elem_t::out_data_start

Definition at line 105 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_econv_convert0(), rb_econv_insert_output(), and trans_sweep().

struct rb_transcoding* rb_econv_elem_t::tc

Definition at line 103 of file transcode.c.

Referenced by econv_convpath(), econv_equal(), make_econv_exception(), rb_econv_add_transcoder_at(), rb_econv_binmode(), rb_econv_close(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_init_by_convpath(), rb_econv_insert_output(), rb_econv_memsize(), rb_econv_putback(), rb_econv_putbackable(), and trans_sweep().

The documentation for this struct was generated from the following file:

- transcode.c